Liquidity
Get Provider Balance
Get LP share balance and current USDC value for a provider
GET
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get LP share balance and current USDC value for a provider
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/provider-balance/0x123...456" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"shares": "50000.000000000000000000",
"currentValue": "51250.000000",
"deposited": "50000.000000",
"source": "onchain"
}
}
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/provider-balance/0x123...456" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"shares": "50000.000000000000000000",
"currentValue": "51250.000000",
"deposited": "50000.000000",
"source": "onchain"
}
}
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/provider-balance/0x123...456" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"shares": "50000.000000000000000000",
"currentValue": "51250.000000",
"deposited": "50000.000000",
"source": "onchain"
}
}
